%Done to see the results - used by the avi-file
%combine the topography, the currents and the deposit thicknesses
%K. Kelfoun, 2021 - UCA / LMV - lmv.uca.fr/kelfoun-karim


if abs(t-60)<=1e-5 | abs(t-120)<=1e-5 | abs(t-180)<=1e-5 | abs(t-240)<=1e-5
    %figure
end

ech=double(imread('ech_epaisseur_dense.bmp'))/255;
ma_coul = [ech(1,:,1)' ech(1,:,2)' ech(1,:,3)'];
ma_coul(1,:)=[1 1 1];

ech_surge = double(imread('echelle_depots_surges_2.tif'))/255;
ma_coul_surge = [ech_surge(1,:,1)' ech_surge(1,:,2)' ech_surge(1,:,3)'];

hrep=hsed;
k =ind2rgb( round(h*40  )   , ma_coul      );
ks=ind2rgb( round(hrep*200  ), ma_coul_surge);

%gradient de la topo et du dense
[gxz,gyz]=gradient(z ,dx_horiz,dx_horiz);
[gxh,gyh]=gradient(h,dx_horiz,dx_horiz);
gx = gxz+gxh;
gy = gyz+gyh;

%gradient du surge
[gxs,gys]=gradient(hw,dx_horiz,dx_horiz);
gxs = gxz+gxs*5;
gys = gyz+gys*5;

j = ind2rgb(round((gx-gy)*20+42), gray);

js = ind2rgb(round((gxs-gys)*20+37), gray);
js(:,:,1)=js(:,:,1)-0.2;
js(:,:,2)=js(:,:,2)-0.0;
js(:,:,3)=js(:,:,3)-0.0;
js(js>1)=1;

kk=h*0; 
kk=h*0;
kk(hsed<=1e-3 | hd>1e-6)=1;
ks(:,:,1) = ks(:,:,1)+kk;
ks(:,:,2) = ks(:,:,2)+kk;
ks(:,:,3) = ks(:,:,3)+kk;
ks(ks>1)=1; ks(ks<0)=0;

kk=h*0;
kk(hd<1e-6)=1;
k(:,:,1) = k(:,:,1)+kk;
k(:,:,2) = k(:,:,2)+kk;
k(:,:,3) = k(:,:,3)+kk;
k(k>1)=1; k(k<0)=0;

m = j.*k.*ks ;
ind = find(m>1); m(ind)=1;
ind = find(m<0); m(ind)=0;

cla
surf(x,y,z+h,m);
set(gca,'ydir','normal');
axis equal;
hold on
shading interp

zs=z;
zs(hw<1)=NaN;
p=surf(x,y,zs+h+hw,js);
set(p, 'facealpha', 0.5, 'edgecolor','none');
set(gcf, 'color', 'w');
view(11,28)
d=sprintf('time: %4.1f seconds', t);
text(x(1), y(end), 3000, d, 'fontsize', 12, 'fontweight', 'bold')

